Bug 498478 - [r300 DMA] crash in radeon r300 dri driver brings down Xorg
[r300 DMA] crash in radeon r300 dri driver brings down Xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
11
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 12:58 EDT by Jeremy Huddleston
Modified: 2010-06-28 08:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old (137.98 KB, text/plain)
2009-04-30 12:58 EDT, Jeremy Huddleston
no flags Details

  None (edit)
Description Jeremy Huddleston 2009-04-30 12:58:07 EDT
Created attachment 341960 [details]
Xorg.0.log.old

Description of problem:

compiz is enabled as the WM (System->Preferences->Desktop Effects)
r300 mesa-dri driver used with:

0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]
	Flags: bus master, 66MHz, medium devsel, latency 255, IRQ 48
	Memory at b8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 0400 [size=256]
	Memory at b0000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at f1000000 [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2
	Kernel driver in use: radeonfb


Version-Release number of selected component (if applicable):

mesa-dri-7.5-0.13-fc11-ppc

How reproducible:

Not easily triggered.  Occurs during "heavy" WM usage approximately once per day under my load.

Steps to Reproduce:
1. Enable desktop effects
2. Use X11 for a while
3. see crash
  
It is likely triggerable using SPECperf, but I haven't tried building it on this system 

Actual results:


Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x50) [0x10100c80]
1: /usr/bin/Xorg(xf86SigHandler+0xd8) [0x10085968]
2: [0x100364]
3: /usr/lib/dri/r300_dri.so(radeonRefillCurrentDmaRegion+0x188) [0xf0b8fa8]
4: /usr/lib/dri/r300_dri.so(radeonAllocDmaRegion+0xf8) [0xf0b9200]
5: /usr/lib/dri/r300_dri.so(rcommon_emit_vector+0x78) [0xf0b9314]
6: /usr/lib/dri/r300_dri.so(r300EmitArrays+0x32c) [0xf0af540]
7: /usr/lib/dri/r300_dri.so [0xf0a0094]
8: /usr/lib/dri/libdricore.so(_tnl_run_pipeline+0x184) [0xef22814]
9: /usr/lib/dri/libdricore.so(_tnl_draw_prims+0xbb4) [0xef234ec]
10: /usr/lib/dri/libdricore.so [0xef18ac8]
11: /usr/lib/dri/libdricore.so [0xef026dc]
12: /usr/lib/xorg/modules/extensions//libglx.so [0xf3bdd8c]
13: /usr/lib/xorg/modules/extensions//libglx.so [0xf3b6368]
14: /usr/lib/xorg/modules/extensions//libglx.so [0xf3bc0b0]
15: /usr/bin/Xorg(Dispatch+0x4e0) [0x10041460]
16: /usr/bin/Xorg(main+0x3d8) [0x10021c78]
17: /lib/libc.so.6 [0xf7f33fc]
18: /lib/libc.so.6 [0xf7f35a0]

Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-05-15 15:36:10 EDT
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x50) [0x10100c80]
1: /usr/bin/Xorg(xf86SigHandler+0xd8) [0x10085968]
2: [0x100364]
3: /usr/lib/dri/r300_dri.so(radeonRefillCurrentDmaRegion+0x188) [0xf0b8fa8]
4: /usr/lib/dri/r300_dri.so(radeonAllocDmaRegion+0xf8) [0xf0b9200]
5: /usr/lib/dri/r300_dri.so(rcommon_emit_vector+0x78) [0xf0b9314]
6: /usr/lib/dri/r300_dri.so(r300EmitArrays+0x32c) [0xf0af540]
7: /usr/lib/dri/r300_dri.so [0xf0a0094]
8: /usr/lib/dri/libdricore.so(_tnl_run_pipeline+0x184) [0xef22814]
9: /usr/lib/dri/libdricore.so(_tnl_draw_prims+0xbb4) [0xef234ec]
10: /usr/lib/dri/libdricore.so [0xef18ac8]
11: /usr/lib/dri/libdricore.so [0xef026dc]
12: /usr/lib/xorg/modules/extensions//libglx.so [0xf3bdd8c]
13: /usr/lib/xorg/modules/extensions//libglx.so [0xf3b6368]
14: /usr/lib/xorg/modules/extensions//libglx.so [0xf3bc0b0]
15: /usr/bin/Xorg(Dispatch+0x4e0) [0x10041460]
16: /usr/bin/Xorg(main+0x3d8) [0x10021c78]
17: /lib/libc.so.6 [0xf7f33fc]
18: /lib/libc.so.6 [0xf7f35a0]

Fatal server error:
Caught signal 11.  Server aborting
Comment 2 Bug Zapper 2009-06-09 10:54:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Alexander Gavrilov 2009-06-11 18:04:36 EDT
This crash is 100% reproducible on my computer with KWin desktop effect "Dialog Parent".

Steps:

1. Use KDE 4
2. Enable OpenGL desktop effects
3. Enable the "Dialog Parent" effect
4. Cause some program (e.g. Firefox) to display a modal dialog

Also, switching OpenGL effects off and on again, as well as displaying a screensaver, or starting an OpenGL program while they are enabled, causes a display lockup.

Since the XRender mode is slow as hell ever since Fedora 10, this makes KDE desktop effects completely unusable.

Naturally, everything worked before I upgraded to Fedora 11 (+ all updates).
Comment 4 Aaron Hagopian 2009-08-21 14:44:47 EDT
Same here, same driver etc. crashes for me with Dialog Parent enabled as well.
Comment 5 Matěj Cepl 2009-11-05 13:28:01 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Alexander Gavrilov 2009-11-24 06:51:02 EST
It may be an unrelated issue, but it is impossible to evaluate whether this one has been fixed in fedora 12, because X keeps crashing with backtraces like the following one before anything substantial can be done:


#0  0x001d5416 in __kernel_vsyscall ()
#1  0x00b98a81 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x00b9a34a in abort () at abort.c:92
#3  0x00b91bd8 in __assert_fail (assertion=<value optimized out>, file=<value optimized out>, line=<value optimized out>, function=<value optimized out>)
    at assert.c:81
#4  0x00e1ed79 in legacy_is_pending (bo=0xb622c78) at radeon_bo_legacy.c:207
#5  0x00e1ef71 in legacy_track_pending (bom=<value optimized out>, debug=<value optimized out>) at radeon_bo_legacy.c:251
#6  0x00e1f28e in bo_open (bom=<value optimized out>, handle=<value optimized out>, size=<value optimized out>, alignment=<value optimized out>, 
    domains=<value optimized out>, flags=<value optimized out>) at radeon_bo_legacy.c:448
#7  0x00e2427c in _radeon_bo_open (line=198, func=0x4c21c <Address 0x4c21c out of bounds>, file=0x4bee8 <Address 0x4bee8 out of bounds>, flags=0, domains=2, 
    alignment=4, size=<value optimized out>, handle=0, bom=<value optimized out>) at /usr/include/drm/radeon_bo.h:107
#8  radeonRefillCurrentDmaRegion (line=198, func=0x4c21c <Address 0x4c21c out of bounds>, file=0x4bee8 <Address 0x4bee8 out of bounds>, flags=0, domains=2, 
    alignment=4, size=<value optimized out>, handle=0, bom=<value optimized out>) at radeon_dma.c:196
#9  0x00e24499 in radeonAllocDmaRegion (rmesa=<value optimized out>, pbo=<value optimized out>, poffset=<value optimized out>, bytes=<value optimized out>, 
    alignment=<value optimized out>) at radeon_dma.c:250
#10 0x00e0cd1a in r300AllocDmaRegions (count=44, input=<value optimized out>, ctx=<value optimized out>) at r300_draw.c:529
#11 r300TryDrawPrims (count=44, input=<value optimized out>, ctx=<value optimized out>) at r300_draw.c:653
#12 r300DrawPrims (count=44, input=<value optimized out>, ctx=<value optimized out>) at r300_draw.c:706
#13 0x00f2b8f1 in vbo_exec_DrawArrays (mode=<value optimized out>, start=<value optimized out>, count=<value optimized out>) at vbo/vbo_exec_array.c:523
#14 0x00f1b929 in neutral_DrawArrays (mode=<value optimized out>, start=<value optimized out>, count=<value optimized out>) at main/vtxfmt_tmp.h:328
#15 0x0020e198 in ?? () from /usr/lib/xorg/modules/extensions/libglx.so
#16 0x00207ea5 in ?? () from /usr/lib/xorg/modules/extensions/libglx.so
#17 0x0020c8d6 in ?? () from /usr/lib/xorg/modules/extensions/libglx.so
#18 0x0806e1f7 in ?? ()
#19 0x080628c5 in _start ()


It happens with KDE 4 OpenGL desktop effects enabled. The trace is not logged to Xorg.log, so it is necessary to use gdb via ssh to get it.
Comment 7 Bug Zapper 2010-04-27 10:01:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:17:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.